<?php

namespace File\File\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ImageItemTransformer extends TransformerAbstract
{
    public function transform(\File\File\Models\Image $image)
    {
        return [
            'id'                => $image->getRouteKey(),
            'titre'             => $image->titre,
            'status'            => trans('app.'.$image->status),
            'created_at'        => format_date($image->created_at),
            'updated_at'        => format_date($image->updated_at),
        ];
    }
}