This is a Laravel 5 package that provides file management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `file/file`.

    "file/file": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
File\File\Providers\FileServiceProvider::class,

```

And also add it to alias

```php
'File'  => File\File\Facades\File::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="File\File\Providers\FileServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="File\File\Providers\FileServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="File\File\Providers\FileServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="File\File\Providers\FileServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="File\File\Providers\FileServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="File\File\Providers\FileServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


