<?php

// Admin  routes  for image
Route::group(['prefix' => '/admin/file'], function () {
    Route::put('news/workflow/{image}/{step}', 'ImageAdminController@putWorkflow');
    Route::resource('image', 'ImageAdminController');
});


// User  routes for image
Route::group(['prefix' => '/user/file'], function () {
    Route::resource('image', 'ImageUserController');
});

// Public  routes for image
Route::group(['prefix' => '/files'], function () {
    Route::get('news/workflow/{image}/{step}/{user}', 'ImageController@getWorkflow');
    Route::get('/', 'ImagePublicController@index');
    Route::get('/{slug?}', 'ImagePublicController@show');
});


// Admin  routes  for video
Route::group(['prefix' => '/admin/file'], function () {
    Route::put('news/workflow/{video}/{step}', 'VideoAdminController@putWorkflow');
    Route::resource('video', 'VideoAdminController');
});


// User  routes for video
Route::group(['prefix' => '/user/file'], function () {
    Route::resource('video', 'VideoUserController');
});

// Public  routes for video
Route::group(['prefix' => '/files'], function () {
    Route::get('news/workflow/{video}/{step}/{user}', 'VideoController@getWorkflow');
    Route::get('/', 'VideoPublicController@index');
    Route::get('/{slug?}', 'VideoPublicController@show');
});


// Admin  routes  for auteur
Route::group(['prefix' => '/admin/file'], function () {
    Route::put('news/workflow/{auteur}/{step}', 'AuteurAdminController@putWorkflow');
    Route::resource('auteur', 'AuteurAdminController');
});


// User  routes for auteur
Route::group(['prefix' => '/user/file'], function () {
    Route::resource('auteur', 'AuteurUserController');
});

// Public  routes for auteur
Route::group(['prefix' => '/files'], function () {
    Route::get('news/workflow/{auteur}/{step}/{user}', 'AuteurController@getWorkflow');
    Route::get('/', 'AuteurPublicController@index');
    Route::get('/{slug?}', 'AuteurPublicController@show');
});


