<?php

namespace File\File\Repositories\Eloquent;

use File\File\Interfaces\ImageRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ImageRepository extends BaseRepository implements ImageRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('file.file.image.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('file.file.image.model');
    }
}
